File debhelper-9.20150101-no-localized-manpages.patch of Package debhelper

Index: debhelper/Makefile
===================================================================
--- debhelper/Makefile.orig	2011-03-16 09:40:35.806209287 +0100
+++ debhelper/Makefile	2011-03-16 09:40:54.454930738 +0100
@@ -42,32 +42,11 @@
 
 POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"
 
-ifneq ($(USE_NLS),no)
-# l10n to be built is determined from .po files
-LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
-else
 LANGS=
-endif
 
 build: version debhelper.7
 	find . -maxdepth 1 -type f -perm /100 -name "dh*" \
 		-exec $(POD2MAN) {} {}.1 \;
-ifneq ($(USE_NLS),no)
-	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
-	set -e; \
-	for lang in $(LANGS); do \
-		dir=man/$$lang; \
-		for file in $$dir/dh*.pod; do \
-			prog=`basename $$file | sed 's/.pod//'`; \
-			$(POD2MAN) $$file $$prog.$$lang.1; \
-		done; \
-		if [ -e $$dir/debhelper.pod ]; then \
-			cat $$dir/debhelper.pod | \
-				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
-				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
-		fi; \
-	done
-endif
 
 version:
 	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
@@ -80,12 +59,6 @@
 
 clean:
 	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
-ifneq ($(USE_NLS),no)
-	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
-endif
-	for lang in $(LANGS); do \
-		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
-	done;
 
 install:
 	install -d $(DESTDIR)$(PREFIX)/bin \